Index: sansmodels/src/sans/models/BroadPeakModel.py
===================================================================
--- sansmodels/src/sans/models/BroadPeakModel.py	(revision 5385a9e3ad6c7daf4e04200ed809b2cde527e12c)
+++ sansmodels/src/sans/models/BroadPeakModel.py	(revision 411d8bf82b9bbebc0c79b53d1b4c99783b1eb020)
@@ -5,5 +5,5 @@
 
 from sans.models.BaseComponent import BaseComponent
-from math import fabs
+import math
 from numpy import power
 
@@ -23,5 +23,5 @@
         ## Name of the model
         self.name = "BroadPeak"
-        self.description="""I(q) = scale_p/pow(q,exponent)+scale_l/
+        self.description = """I(q) = scale_p/pow(q,exponent)+scale_l/
         (1.0 + pow((fabs(q-q_peak)*length_l),exponent_l) )+ background
              List of default parameters:
@@ -54,5 +54,5 @@
 
         #list of parameter that cannot be fitted
-        self.fixed= []  
+        self.fixed = []  
     def _broadpeak(self, x):
         """
@@ -61,5 +61,5 @@
         inten = self.params['scale_p']/pow(x,self.params['exponent_p'])
         inten += self.params['scale_l']/(1.0 + \
-                power((fabs(x-self.params['q_peak'])*self.params['length_l']),\
+                power((math.fabs(x-self.params['q_peak'])*self.params['length_l']),\
                     self.params['exponent_l']))
 
Index: sansmodels/src/sans/models/CorrLengthModel.py
===================================================================
--- sansmodels/src/sans/models/CorrLengthModel.py	(revision 18695bf6182272ba6d84bdb2ada3bf3196541654)
+++ sansmodels/src/sans/models/CorrLengthModel.py	(revision 411d8bf82b9bbebc0c79b53d1b4c99783b1eb020)
@@ -6,4 +6,5 @@
 from sans.models.BaseComponent import BaseComponent
 from numpy import power
+import math
 
 class CorrLengthModel(BaseComponent):
@@ -22,5 +23,5 @@
         ## Name of the model
         self.name = "CorrLength"
-        self.description="""I(q) = scale_p/pow(q,exponent)+scale_l/
+        self.description = """I(q) = scale_p/pow(q,exponent)+scale_l/
             (1.0 + pow((q*length_l),exponent_l) )+ background
              List of default parameters:
@@ -50,5 +51,5 @@
 
         #list of parameter that cannot be fitted
-        self.fixed= []  
+        self.fixed = []  
     def _corrlength(self, x):
         """
Index: sansmodels/src/sans/models/PeakLorentzModel.py
===================================================================
--- sansmodels/src/sans/models/PeakLorentzModel.py	(revision 27fea3fd73c362e927fb15e5806e0a587260c5f3)
+++ sansmodels/src/sans/models/PeakLorentzModel.py	(revision 411d8bf82b9bbebc0c79b53d1b4c99783b1eb020)
@@ -31,5 +31,5 @@
         ## Name of the model
         self.name = "Peak Lorentz Model"
-        self.description=""" F(q) = scale/(1+[(q-q0)/B]^2 ) + background
+        self.description = """ F(q) = scale/(1+[(q-q0)/B]^2 ) + background
         
         The model has three parameters: 
@@ -52,5 +52,5 @@
         self.details['background']        = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
-        self.fixed= []  
+        self.fixed = []  
             
     def _PeakLorentz(self, x):
Index: sansmodels/src/sans/models/PorodModel.py
===================================================================
--- sansmodels/src/sans/models/PorodModel.py	(revision 9ce41c6f9cb652f9c0a81a779f2dd143382ac661)
+++ sansmodels/src/sans/models/PorodModel.py	(revision 411d8bf82b9bbebc0c79b53d1b4c99783b1eb020)
@@ -36,5 +36,5 @@
         self.details['background'] = ['[1/cm]', None, None]
         #list of parameter that cannot be fitted
-        self.fixed= []
+        self.fixed = []
                
     def _porod(self, x):
Index: sansmodels/src/sans/models/TwoLorentzianModel.py
===================================================================
--- sansmodels/src/sans/models/TwoLorentzianModel.py	(revision 18695bf6182272ba6d84bdb2ada3bf3196541654)
+++ sansmodels/src/sans/models/TwoLorentzianModel.py	(revision 411d8bf82b9bbebc0c79b53d1b4c99783b1eb020)
@@ -6,4 +6,5 @@
 from sans.models.BaseComponent import BaseComponent
 from numpy import power
+import math
 
 class TwoLorentzianModel(BaseComponent):
@@ -22,5 +23,5 @@
         ## Name of the model
         self.name = "TwoLorentzian"
-        self.description="""I(q) = scale_1/(1.0 + pow((q*length_1),exponent_1))
+        self.description = """I(q) = scale_1/(1.0 + pow((q*length_1),exponent_1))
              + scale_2/(1.0 + pow((q*length_2),exponent_2) )+ background
              List of default parameters:
@@ -53,5 +54,5 @@
 
         #list of parameter that cannot be fitted
-        self.fixed= []  
+        self.fixed = []  
     def _twolorentzian(self, x):
         """