Index: src/sas/qtgui/Calculators/media/data_operator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/data_operator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/data_operator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,55 @@
+.. data_operator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+Data Operations Tool
+====================
+
+Description
+-----------
+
+This tool permits arithmetic operations between two data sets. Alternatively, 
+the last data set can be a number.
+
+*NOTE! When* Data1 *and* Data2 *are both data, their Q (or Qx and Qy for 2D) 
+value(s) must match with each other UNLESS using the 'append' operator.*
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+1) Ensure you have loaded data into the *Data Explorer* (see :ref:`Loading_data`).
+
+2) Select *Data Operation* from the *Tool* menu on the SasView toolbar.
+
+3) Select a dataset/theory in the drop-down menu *Data1*. A mini-plot of the
+   data will appear underneath.
+
+4) Select a dataset/theory in the drop-down menu *Data2* or select *Number* 
+   and enter a number in the box that appears alongside.
+
+5) Select an arithmetic operator symbol from the *Operator* drop-down. The 
+   available operators are:
+   
+*   \+ (for addition)
+*   \- (for subtraction) 
+*   \* (for multiplication)
+*   \/ (for division)
+*   \| (for combination of two data sets)
+
+   If two data sets do not match, the operation will fail and the background 
+   color of the combo box items will turn to red (WIN only).
+
+6) If the operation is successful, hit the Apply button to make the new dataset.
+   The new dataset will appear in the *Data Explorer*.
+
+*NOTE! Any errors and warnings will be displayed at the bottom of the SasView
+window.*
+
+.. image:: data_oper_pic.png
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015
Index: src/sas/qtgui/Calculators/media/density_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/density_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/density_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,35 @@
+.. density_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+Density/Volume Calculator Tool
+==============================
+
+Description
+-----------
+
+This tool calculates the mass density from the molar volume or vice 
+versa. To calculate the mass density, the chemical formula and molar volume 
+should be provided.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+1) Select *Density/Volume Calculator* from the *Tool* menu on the SasView toolbar.
+
+2) Enter the empirical formula of a molecule. For mixtures, the ratio of each 
+   of the molecules should be used, for example, (H2O)0.5(D2O)0.5.
+
+3) Use the input combo box to choose between molar volume or mass density and 
+   then type in an input value.
+
+4) Click the 'Calculate' button to perform the calculation.
+
+.. image:: density_tutor.png
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015
Index: src/sas/qtgui/Calculators/media/gen_sas_help.html
===================================================================
--- src/sas/qtgui/Calculators/media/gen_sas_help.html	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/gen_sas_help.html	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,147 @@
+<body>
+<h4>Generic Scattering Calculator:</h4>
+Polarization and Magnetic Scattering
+<br>
+<br>
+<ul>
+<li><a href="#theory">Theory:</a></li>
+<li><a href="#gui">GUI</a></li>
+<li><a href="#pdb">PDB Data</a></li>
+</ul>
+<br>
+<br>
+<b>1. <a name="theory">Theory</a> </b>
+<br>
+In general, a particle with a volume V can be described by an ensemble containing N 
+3-dimensional rectangular pixels where each pixels are much smaller than V. 
+Assuming that
+all the pixel sizes are same, the elastic scattering intensity 
+by the particle 
+<p>
+<img src="gen_i.png"/>
+</p>
+<br>
+where &#946;<sub>j</sub> and r<sub>j</sub> are the scattering 
+length density and the position 
+of the j'th pixel respectively. And the total volume
+<p>
+<img src="v_j.png"/>
+</p>
+<br>
+for &#946;<sub>j</sub> &#8800; 0 where v<sub>j</sub> is the volume of the j'th pixel 
+(or the j'th natural atomic volume (= atomic mass/natural molar density/Avogadro number) 
+ for the atomic structures). The total volume V can be corrected by users. 
+This correction is useful especially for an atomic structure (taken from a pdb file) to get the right 
+normalization. Note that the  &#946;<sub>j</sub> displayed in GUI may be incorrect but will not 
+affect the scattering computation if the correction of the total volume is made.
+<br>
+The scattering length density (SLD) of each pixel where the SLD is uniform, is a combination of the nuclear and magnetic SLDs 
+and depends on the spin states of the neutrons as follows:
+<br>
+<br>
+For magnetic scattering, only the magnetization component, <b>M</b><sub>perp</sub>, 
+perpendicular to the scattering vector <b>Q</b> contributes to the the magnetic 
+scattering length. (Figure below).
+<p>
+<img src="mag_vector.png"/>
+</p>
+<br>
+The magnetic scattering length density is then
+<p>
+<img src="dm_eq.png"/>
+</p>
+<br>
+where &#947; = -1.913 the gyromagnetic ratio,  	&#956;<sub>B</sub> is the Bohr magneton, 
+r<sub>0</sub> is the classical radius of electron, 
+and <b>&#963;</b> is the Pauli spin.
+<br>
+For polarized neutron, the magnetic scattering is depending on the spin states.
+Let's consider that the incident neutrons are polarized parallel (+)/anti-parallel 
+(&#8211;) to the x' axis (See both Figures above).
+The possible out-coming states then are + and - states for both incident states.
+<br>
+ - Non-spin-flips:  	(+ +) and  	(- -)
+<br>
+ - Spin-flips:  	(+ -) and  	(- +)
+<br>
+<p>
+<img src="gen_mag_pic.png"/>
+</p>
+<br>
+<br>
+Now, let's assume that the angles of the <b>Q</b> vector and the spin-axis (x') from x-axis 
+are &#966; and  &#952;<sub>up</sub>, respectively (See Figure above).
+Then, depending upon the polarization (spin) state of neutrons, the scattering length
+densities , including the nuclear scattering length density (&#946; <sub>N</sub>) are given as, for non-spin-flips,
+<p>
+<img src="sld1.png"/>
+</p>
+<br>
+<br>
+for spin-flips,
+<p>
+<img src="sld2.png"/>
+</p>
+<br>
+<br>
+where
+<p>
+<img src="mxp.png"/>
+</p>
+<p>
+<img src="myp.png"/>
+</p>
+<p>
+<img src="mzp.png"/>
+</p>
+<p>
+<img src="mqx.png"/>
+</p>
+<p>
+<img src="mqy.png"/>
+</p>
+<br>
+<br>
+Here, the M<sub>0x</sub>, M<sub>0y</sub> and M<sub>0z</sub> are the x, y and z 
+components of the magnetization vector given in the xyz lab frame.
+<br>
+<br>
+<b>2. <a name="gui">GUI</a> </b>
+<br>
+<p>
+<img src="gen_gui_help.png"/>
+</p>
+<br>
+<p>
+After the computation, the result will be listed in the 'Theory' box 
+in the data explorer panel on the main window.
+<br>
+The 'Up_frac_in' and 'Up_frac_out' are the ratio, (spin up) /(spin up + spin down) neutrons 
+before the sample and at the analyzer, respectively.
+</p>
+<br>
+*Note I: The values of 'Up_frac_in' and 'Up_frac_out' must be in the range between 0 and 1.
+For example, both values are 0.5 for unpolarized neutrons.
+<br>
+*Note II: This computation is totally based on the pixel (or atomic) data fixed
+in the xyz coordinates. Thus no angular orientational averaging is considered.
+<br>
+*Note III: For the nuclear scattering length density, only the real component is taken account.
+<br>
+<br>
+<b>3. <a name="pdb">PDB Data</a> </b>
+<br>
+This Generic scattering calculator also supports some pdb files without considering polarized/magnetic scattering
+ so that the related parameters such as Up_*** will be ignored (see the Picture below). The calculation for fixed orientation uses (the first) Equation above resulting 
+in a 2D output, whileas the scattering calculation averaged over all the orientations uses the Debye equation providing a 1D output:
+ <p>
+<img src="gen_debye_eq.png"/>
+</p>
+<br>
+where v<sub>j</sub>&#946;<sub>j</sub> &#8801; b<sub>j</sub> is the scattering length of the j'th atom.
+The resultant outputs will be displayed in the DataExporer for further uses. 
+<br>
+ <p>
+<img src="pdb_combo.jpg"/>
+</p>
+</body>
Index: src/sas/qtgui/Calculators/media/image_viewer_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/image_viewer_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/image_viewer_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,57 @@
+.. image_viewer_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+.. _Image_Viewer_Tool:
+
+Image Viewer Tool
+=================
+
+Description
+-----------
+
+This tool loads image files and displays them as 2D (x-y coordinate against 
+counts per pixel). The plot can then can be saved, printed, and copied. The 
+plot can also be resized by dragging the corner of the panel.
+
+The supported input image formats are:
+
+*  BMP (bitmap format)
+*  GIF (graphical interchange format)
+*  JPG (joint photographic experts group format)
+*  PNG (portable network graphics format)
+*  TIF (tagged image format)
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+1) Select *Image Viewer* from the *Tool* menu on the SasView toolbar.
+
+2) Select a file and then click *Open*. If the loading is successful the image 
+   will be displayed.
+
+.. image:: load_image.png
+
+3) To save, print, or copy the image, or to apply a grid overlay, right-click 
+   anywhere in the plot.
+
+.. image:: pic_plot.png
+
+4. If the image is taken from a 2D detector, SasView can attempt to convert 
+   the colour/grey scale into pseudo-intensity 2D data using 
+
+   z = (0.299 x R) + (0.587 x G) + (0.114 x B)
+
+   unless the image is formatted as 8-bit grey-scale TIF.
+
+5. In the *Convert to Data* dialog, set the parameters relevant to the data and 
+   then click the OK.
+
+.. image:: pic_convert.png
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015
Index: src/sas/qtgui/Calculators/media/kiessig_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/kiessig_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/kiessig_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,33 @@
+.. kiessig_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+Kiessig Thickness Calculator Tool
+=================================
+
+Description
+-----------
+
+This tool estimates real space dimensions from the position or spacing of
+features in recipricol space.  In particular a particle of size $d$ will
+give rise to Bragg peaks with spacing $\Delta q$ according to the relation
+
+.. math::
+
+    d = 2\pi / \Delta q
+
+Similarly, the spacing between the peaks in Kiessig fringes in reflectometry
+data arise from layers of thickness $d$.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+To get a rough thickness or particle size, simply type the fringe or peak
+position (in units of 1/|Ang|\) and click on the *Compute* button.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Paul Kienzle, 05Apr2017
Index: src/sas/qtgui/Calculators/media/python_shell_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/python_shell_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/python_shell_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,37 @@
+.. python_shell_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+.. Text revised during Code Camp V in Oct 2016.
+
+.. _Python_shell:
+
+Python Shell-Editor Tool
+========================
+
+Description 
+-----------
+
+This is a Python shell/editor provided with WxPython.
+
+For the help about Python, visit the website http://docs.python.org/tutorial/
+
+.. note:: This shell/editor has its own help, but the Help() and Credits() calls do not work on Macs.
+
+The NumPy, SciPy, and Matplotlib, etc, libraries are shipped with SasView and so functions from these can be imported into the shell/editor, however, some functionality may not work.
+
+.. image:: new_pycrust_example.png
+   :align: center
+
+When a Python file, for example a fitting model, is created or loaded with the *New* or *Open* options from the menu, a new tab opens with an editing notebook.
+
+.. image:: new_pycrust_example_2.png
+   :align: center
+
+If a Python (.py) model has a linked C (.c) subroutine *in the same folder* then the shell/editor will open both! However input focus is usually transferred to the tab with the .c file.
+
+To compile a model, select *Run* > *Check Model* from the shell/editor menu. If the model contains a unit test (which it should!!!) then this will also run and a popup window will report the success/failure of the test.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 10Oct2015
Index: src/sas/qtgui/Calculators/media/resolution_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/resolution_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/resolution_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,103 @@
+.. resolution_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+Q Resolution Estimator Tool
+===========================
+
+Description
+-----------
+
+This tool is approximately estimates the resolution of $Q$ from SAS instrumental
+parameter values assuming that the detector is flat and normal to the
+incident beam.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+1) Select *SAS Resolution Estimator* from the *Tool* menu on the SasView toolbar.
+
+2) Select the source (Neutron or Photon) and source type (Monochromatic or TOF).
+
+   *NOTE! The computational difference between the sources is only the
+   gravitational contribution due to the mass of the particles.*
+
+3) Change the default values of the instrumental parameters as required. Be
+   careful to note that distances are specified in cm!
+
+4) Enter values for the source wavelength(s), $\lambda$, and its spread (= $\text{FWHM}/\lambda$).
+
+   For monochromatic sources, the inputs are just one value. For TOF sources,
+   the minimum and maximum values should be separated by a '-' to specify a
+   range.
+
+   Optionally, the wavelength (BUT NOT of the wavelength spread) can be extended
+   by adding '; nn' where the 'nn' specifies the number of the bins for the
+   numerical integration. The default value is nn = 10. The same number of bins
+   will be used for the corresponding wavelength spread.
+
+5) For TOF, the default wavelength spectrum is flat. A custom spectral
+   distribution file (2-column text: wavelength (|Ang|\) vs Intensity) can also
+   be loaded by selecting *Add new* in the combo box.
+
+6) When ready, click the *Compute* button. Depending on the computation the
+   calculation time will vary.
+
+7) 1D and 2D $dQ$ values will be displayed at the bottom of the panel, and a 2D
+   resolution weight distribution (a 2D elliptical Gaussian function) will also
+   be displayed in the plot panel even if the $Q$ inputs are outside of the
+   detector limit (the red lines indicate the limits of the detector).
+
+   TOF only: green lines indicate the limits of the maximum $Q$ range accessible
+   for the longest wavelength due to the size of the detector.
+
+   Note that the effect from the beam block/stop is ignored, so in the small $Q$
+   region near the beam block/stop
+
+   [i.e., $Q < (2 \pi \cdot \text{beam block diameter}) / (\text{sample-to-detector distance} \cdot \lambda_\text{min})$]
+
+   the variance is slightly under estimated.
+
+8) A summary of the calculation is written to the SasView *Console* at the
+   bottom of the main SasView window.
+
+.. image:: resolution_tutor.png
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Theory
+------
+
+The scattering wave transfer vector is by definition
+
+.. image:: q.png
+
+In the small-angle limit, the variance of $Q$ is to a first-order
+approximation
+
+.. image:: sigma_q.png
+
+The geometric and gravitational contributions can then be summarised as
+
+.. image:: sigma_table.png
+
+Finally, a Gaussian function is used to describe the 2D weighting distribution
+of the uncertainty in $Q$.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+References
+----------
+
+D.F.R. Mildner and J.M. Carpenter
+*J. Appl. Cryst.* 17 (1984) 249-256
+
+D.F.R. Mildner, J.M. Carpenter and D.L. Worcester
+*J. Appl. Cryst.* 19 (1986) 311-319
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015
Index: src/sas/qtgui/Calculators/media/sas_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/sas_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/sas_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,160 @@
+.. sas_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+.. _SANS_Calculator_Tool:
+
+Generic SANS Calculator Tool
+============================
+
+Description
+-----------
+
+This tool attempts to simulate the SANS expected from a specified
+shape/structure or scattering length density profile. The tool can
+handle both nuclear and magnetic contributions to the scattering.
+
+Theory
+------
+
+In general, a particle with a volume $V$ can be described by an ensemble
+containing $N$ 3-dimensional rectangular pixels where each pixel is much
+smaller than $V$.
+
+Assuming that all the pixel sizes are the same, the elastic scattering
+intensity from the particle is
+
+.. image:: gen_i.png
+
+Equation 1.
+
+where $\beta_j$ and $r_j$ are the scattering length density and
+the position of the $j^\text{th}$ pixel respectively.
+
+The total volume $V$
+
+.. math::
+
+    V = \sum_j^N v_j
+
+for $\beta_j \ne 0$ where $v_j$ is the volume of the $j^\text{th}$
+pixel (or the $j^\text{th}$ natural atomic volume (= atomic mass / (natural molar
+density * Avogadro number) for the atomic structures).
+
+$V$ can be corrected by users. This correction is useful especially for an
+atomic structure (such as taken from a PDB file) to get the right normalization.
+
+*NOTE! $\beta_j$ displayed in the GUI may be incorrect but this will not
+affect the scattering computation if the correction of the total volume V is made.*
+
+The scattering length density (SLD) of each pixel, where the SLD is uniform, is
+a combination of the nuclear and magnetic SLDs and depends on the spin states
+of the neutrons as follows.
+
+Magnetic Scattering
+^^^^^^^^^^^^^^^^^^^
+
+For magnetic scattering, only the magnetization component, $M_\perp$,
+perpendicular to the scattering vector $Q$ contributes to the magnetic
+scattering length.
+
+.. image:: mag_vector.png
+
+The magnetic scattering length density is then
+
+.. image:: dm_eq.png
+
+where the gyromagnetic ratio is $\gamma = -1.913$, $\mu_B$ is the Bohr
+magneton, $r_0$ is the classical radius of electron, and $\sigma$ is the
+Pauli spin.
+
+For a polarized neutron, the magnetic scattering is depending on the spin states.
+
+Let us consider that the incident neutrons are polarised both parallel (+) and
+anti-parallel (-) to the x' axis (see below). The possible states after
+scattering from the sample are then
+
+*  Non-spin flips: (+ +) and (- -)
+*  Spin flips:     (+ -) and (- +)
+
+.. image:: gen_mag_pic.png
+
+Now let us assume that the angles of the *Q* vector and the spin-axis (x')
+to the x-axis are $\phi$ and $\theta_\text{up}$ respectively (see above). Then,
+depending upon the polarization (spin) state of neutrons, the scattering
+length densities, including the nuclear scattering length density ($\beta_N$)
+are given as
+
+*  for non-spin-flips
+
+   .. image:: sld1.png
+
+*  for spin-flips
+
+   .. image:: sld2.png
+
+where
+
+.. image:: mxp.png
+
+.. image:: myp.png
+
+.. image:: mzp.png
+
+.. image:: mqx.png
+
+.. image:: mqy.png
+
+Here the $M0_x$, $M0_y$ and $M0_z$ are the $x$, $y$ and $z$
+components of the magnetisation vector in the laboratory $xyz$ frame.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+.. image:: gen_gui_help.png
+
+After computation the result will appear in the *Theory* box in the SasView
+*Data Explorer* panel.
+
+*Up_frac_in* and *Up_frac_out* are the ratio
+
+   (spin up) / (spin up + spin down)
+
+of neutrons before the sample and at the analyzer, respectively.
+
+*NOTE 1. The values of* Up_frac_in *and* Up_frac_out *must be in the range
+0.0 to 1.0. Both values are 0.5 for unpolarized neutrons.*
+
+*NOTE 2. This computation is totally based on the pixel (or atomic) data fixed
+in xyz coordinates. No angular orientational averaging is considered.*
+
+*NOTE 3. For the nuclear scattering length density, only the real component
+is taken account.*
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using PDB/OMF or SLD files
+--------------------------
+
+The SANS Calculator tool can read some PDB, OMF or SLD files but ignores
+polarized/magnetic scattering when doing so, thus related parameters such as
+*Up_frac_in*, etc, will be ignored.
+
+The calculation for fixed orientation uses Equation 1 above resulting in a 2D
+output, whereas the scattering calculation averaged over all the orientations
+uses the Debye equation below providing a 1D output
+
+.. image:: gen_debye_eq.png
+
+where $v_j \beta_j \equiv b_j$ is the scattering
+length of the $j^\text{th}$ atom. The calculation output is passed to the *Data Explorer*
+for further use.
+
+.. image:: pdb_combo.jpg
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015
Index: src/sas/qtgui/Calculators/media/sld_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/sld_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/sld_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,58 @@
+.. sld_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+SLD Calculator Tool
+===================
+
+Description
+-----------
+
+The neutron scattering length density (SLD, $\beta_N$) is defined as
+
+.. math::
+
+  \beta_N = (b_{c1} + b_{c2} + ... + b_{cn}) / V_m
+
+where $b_{ci}$ is the bound coherent scattering length of ith of n atoms in a molecule
+with the molecular volume $V_m$.
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Specifying the Compound Name
+----------------------------
+
+To calculate scattering length densities enter the empirical formula of a
+compound and its mass density and click "Calculate".
+
+Entering a wavelength value is optional (a default value of 6.0 |Ang| will
+be used).
+
+TIPS!
+
+*  Formula strings consist of atoms and the number of them, such as "CaCO3+6H2O".
+
+*  Groups can be separated by *'+'* or *space*, so "CaCO3 6H2O" works as well.
+
+*  Groups can be defined using parentheses, such as "CaCO3(H2O)6".
+
+*  Parentheses can be nested, such as "(CaCO3(H2O)6)1".
+
+*  Isotopes are represented by their atomic number in *square brackets*, such
+   as "CaCO[18]3+6H2O", H[1], or H[2].
+
+*  Numbers of atoms can be integer or decimal, such as "CaCO3+(3HO0.5)2".
+
+*  The SLD of mixtures can be calculated as well. For example, for a 70-30
+   mixture of H2O/D2O write "H14O7+D6O3" or more simply "H7D3O5" (i.e. this says
+   7 hydrogens, 3 deuteriums, and 5 oxygens) and enter a mass density calculated
+   on the percentages of H2O and D2O.
+
+*  Type "C[13]6 H[2]12 O[18]6" for C(13)6H(2)12O(18)6 (6 Carbon-13 atoms, 12
+   deuterium atoms, and 6 Oxygen-18 atoms).
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Paul Kienzle, 05Apr2017
+
Index: src/sas/qtgui/Calculators/media/slit_calculator_help.rst
===================================================================
--- src/sas/qtgui/Calculators/media/slit_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
+++ src/sas/qtgui/Calculators/media/slit_calculator_help.rst	(revision 417c03f075685f86777838c8c717dec8e0ed8965)
@@ -0,0 +1,40 @@
+.. slit_calculator_help.rst
+
+.. This is a port of the original SasView html help file to ReSTructured text
+.. by S King, ISIS, during SasView CodeCamp-III in Feb 2015.
+
+
+Slit Size Calculator Tool
+=========================
+
+Description
+-----------
+
+This tool enables X-ray users to calculate the slit size (FWHM/2) for smearing
+based on their half beam profile data.
+
+*NOTE! Whilst it may have some more generic applicability, the calculator has
+only been tested with beam profile data from Anton-Paar SAXSess:sup:`TM` software.*
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+Using the tool
+--------------
+
+1) Select *Slit Size Calculator* from the *Tool* menu on the SasView toolbar.
+
+2) Load a beam profile file in the *Data* field using the *Browse* button.
+
+   *NOTE! To see an example of the beam profile file format, visit the file
+   beam profile.DAT in your {installation_directory}/SasView/test folder.*
+
+3) Once a data is loaded, the slit size is automatically computed and displayed
+   in the tool window.
+
+*NOTE! The beam profile file does not carry any information about the units of
+the Q data. This calculator assumes the data has units of 1/\ |Ang|\ . If the
+data is not in these units it must be manually converted beforehand.*
+
+.. ZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZZ
+
+.. note::  This help document was last changed by Steve King, 01May2015