Index: src/sas/qtgui/Calculators/GenericScatteringCalculator.py
===================================================================
--- src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision b0c5e8c49a3e4e82f4f885ba7ad4d73fb8d6c59f)
+++ src/sas/qtgui/Calculators/GenericScatteringCalculator.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -106,4 +106,17 @@
         # TODO the option Ellipsoid has not been implemented
         self.cbShape.currentIndexChanged.connect(self.selectedshapechange)
+
+        # New font to display angstrom symbol
+        new_font = 'font-family: -apple-system, "Helvetica Neue", "Ubuntu";'
+        self.lblUnitSolventSLD.setStyleSheet(new_font)
+        self.lblUnitVolume.setStyleSheet(new_font)
+        self.lbl5.setStyleSheet(new_font)
+        self.lblUnitMx.setStyleSheet(new_font)
+        self.lblUnitMy.setStyleSheet(new_font)
+        self.lblUnitMz.setStyleSheet(new_font)
+        self.lblUnitNucl.setStyleSheet(new_font)
+        self.lblUnitx.setStyleSheet(new_font)
+        self.lblUnity.setStyleSheet(new_font)
+        self.lblUnitz.setStyleSheet(new_font)
 
     def selectedshapechange(self):
Index: src/sas/qtgui/Calculators/UI/DensityPanel.ui
===================================================================
--- src/sas/qtgui/Calculators/UI/DensityPanel.ui	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/UI/DensityPanel.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -7,6 +7,6 @@
     <x>0</x>
     <y>0</y>
-    <width>295</width>
-    <height>204</height>
+    <width>345</width>
+    <height>236</height>
    </rect>
   </property>
@@ -35,5 +35,18 @@
      </item>
      <item row="0" column="1">
-      <widget class="QLineEdit" name="editMolecularFormula"/>
+      <widget class="QLineEdit" name="editMolecularFormula">
+       <property name="minimumSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+       <property name="baseSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+      </widget>
      </item>
      <item row="0" column="2">
@@ -53,4 +66,16 @@
      <item row="1" column="1">
       <widget class="QLineEdit" name="editMolarMass">
+       <property name="minimumSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+       <property name="baseSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
        <property name="styleSheet">
         <string notr="true"/>
@@ -98,5 +123,18 @@
      </item>
      <item row="3" column="1">
-      <widget class="QLineEdit" name="editMolarVolume"/>
+      <widget class="QLineEdit" name="editMolarVolume">
+       <property name="minimumSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+       <property name="baseSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+      </widget>
      </item>
      <item row="3" column="2">
@@ -115,5 +153,18 @@
      </item>
      <item row="4" column="1">
-      <widget class="QLineEdit" name="editMassDensity"/>
+      <widget class="QLineEdit" name="editMassDensity">
+       <property name="minimumSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+       <property name="baseSize">
+        <size>
+         <width>61</width>
+         <height>21</height>
+        </size>
+       </property>
+      </widget>
      </item>
      <item row="4" column="2">
Index: src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui
===================================================================
--- src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui	(revision 28a09b01c106f3e406a519f370a0c81b6cf9ee18)
+++ src/sas/qtgui/Calculators/UI/GenericScatteringCalculator.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -7,10 +7,10 @@
     <x>0</x>
     <y>0</y>
-    <width>715</width>
-    <height>550</height>
+    <width>716</width>
+    <height>625</height>
    </rect>
   </property>
   <property name="sizePolicy">
-   <sizepolicy hsizetype="Fixed" vsizetype="Fixed">
+   <sizepolicy hsizetype="Preferred" vsizetype="Preferred">
     <horstretch>0</horstretch>
     <verstretch>0</verstretch>
@@ -19,6 +19,12 @@
   <property name="minimumSize">
    <size>
-    <width>630</width>
+    <width>660</width>
     <height>550</height>
+   </size>
+  </property>
+  <property name="maximumSize">
+   <size>
+    <width>800</width>
+    <height>700</height>
    </size>
   </property>
@@ -300,5 +306,5 @@
               <size>
                <width>70</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -318,5 +324,5 @@
            </item>
            <item row="0" column="2">
-            <widget class="QLabel" name="lblunitMx">
+            <widget class="QLabel" name="lblUnitMx">
              <property name="font">
               <font>
@@ -352,5 +358,5 @@
               <size>
                <width>70</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -404,5 +410,5 @@
               <size>
                <width>70</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -456,5 +462,5 @@
               <size>
                <width>70</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -521,5 +527,5 @@
               <size>
                <width>56</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -553,5 +559,5 @@
               <size>
                <width>56</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -585,5 +591,5 @@
               <size>
                <width>56</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -636,5 +642,5 @@
               <size>
                <width>50</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -682,5 +688,5 @@
               <size>
                <width>50</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -728,5 +734,5 @@
               <size>
                <width>50</width>
-               <height>0</height>
+               <height>18</height>
               </size>
              </property>
@@ -954,4 +960,10 @@
         <item row="1" column="1">
          <widget class="QLineEdit" name="txtUpFracIn">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -986,4 +998,10 @@
         <item row="2" column="1">
          <widget class="QLineEdit" name="txtUpFracOut">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1018,4 +1036,10 @@
         <item row="3" column="1">
          <widget class="QLineEdit" name="txtUpTheta">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1047,4 +1071,10 @@
         <item row="4" column="1">
          <widget class="QLineEdit" name="txtBackground">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1086,4 +1116,10 @@
         <item row="5" column="1">
          <widget class="QLineEdit" name="txtScale">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1112,4 +1148,10 @@
         <item row="6" column="1">
          <widget class="QLineEdit" name="txtSolventSLD">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1141,4 +1183,10 @@
         <item row="7" column="1">
          <widget class="QLineEdit" name="txtTotalVolume">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1261,4 +1309,10 @@
         <item row="0" column="1">
          <widget class="QLineEdit" name="txtNoQBins">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
@@ -1290,4 +1344,10 @@
         <item row="1" column="1">
          <widget class="QLineEdit" name="txtQxMax">
+          <property name="minimumSize">
+           <size>
+            <width>0</width>
+            <height>18</height>
+           </size>
+          </property>
           <property name="font">
            <font>
Index: src/sas/qtgui/Calculators/UI/KiessigPanel.ui
===================================================================
--- src/sas/qtgui/Calculators/UI/KiessigPanel.ui	(revision cd2cc7458970e179039a783e9409f48c4c1fca0d)
+++ src/sas/qtgui/Calculators/UI/KiessigPanel.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -7,5 +7,5 @@
     <x>0</x>
     <y>0</y>
-    <width>354</width>
+    <width>365</width>
     <height>193</height>
    </rect>
@@ -33,10 +33,23 @@
          <widget class="QLabel" name="label">
           <property name="text">
-           <string>Kiessing Fringe Width (Delta Q)</string>
+           <string>Kiessig Fringe Width (Delta Q)</string>
           </property>
          </widget>
         </item>
         <item>
-         <widget class="QLineEdit" name="deltaq_in"/>
+         <widget class="QLineEdit" name="deltaq_in">
+          <property name="minimumSize">
+           <size>
+            <width>77</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>77</width>
+            <height>21</height>
+           </size>
+          </property>
+         </widget>
         </item>
         <item>
@@ -70,4 +83,16 @@
         <item>
          <widget class="QLineEdit" name="lengthscale_out">
+          <property name="minimumSize">
+           <size>
+            <width>77</width>
+            <height>21</height>
+           </size>
+          </property>
+          <property name="baseSize">
+           <size>
+            <width>77</width>
+            <height>21</height>
+           </size>
+          </property>
           <property name="readOnly">
            <bool>true</bool>
Index: src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py
===================================================================
--- src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision dc5ef150e8b37e01a3b7e253eb5b66d3b82de99c)
+++ src/sas/qtgui/Calculators/UnitTesting/GenericScatteringCalculatorTest.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
Index: src/sas/qtgui/Perspectives/Fitting/FittingWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 377ade1f23aac6c56560870af2702bff99586386)
+++ src/sas/qtgui/Perspectives/Fitting/FittingWidget.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -98,4 +98,9 @@
         # Display HTML content
         self.helpView = QtWebKit.QWebView()
+
+        # New font to display angstrom symbol
+        new_font = 'font-family: -apple-system, "Helvetica Neue", "Ubuntu";'
+        self.label_17.setStyleSheet(new_font)
+        self.label_19.setStyleSheet(new_font)
 
         self._index = None
@@ -246,4 +251,9 @@
         self.lstParams.setAlternatingRowColors(True)
         stylesheet = """
+
+            QTreeView {
+                paint-alternating-row-colors-for-empty-area:0;
+            }
+
             QTreeView::item:hover {
                 background: qlineargradient(x1: 0, y1: 0, x2: 0, y2: 1, stop: 0 #e7effd, stop: 1 #cbdaf1);
@@ -266,4 +276,5 @@
         self.lstParams.setContextMenuPolicy(QtCore.Qt.CustomContextMenu)
         self.lstParams.customContextMenuRequested.connect(self.showModelDescription)
+        self.lstParams.setAttribute(QtCore.Qt.WA_MacShowFocusRect, False)
 
         # Poly model displayed in poly list
Index: src/sas/qtgui/Perspectives/Fitting/OptionsWidget.py
===================================================================
--- src/sas/qtgui/Perspectives/Fitting/OptionsWidget.py	(revision c1e380e47ece53d12ace33cda4662184d4376c2d)
+++ src/sas/qtgui/Perspectives/Fitting/OptionsWidget.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -86,4 +86,8 @@
         self.txtNptsFit.setText(str(NPTS_DEFAULT))
         self.model.blockSignals(False)
+
+        new_font = 'font-family: -apple-system, "Helvetica Neue", "Ubuntu";'
+        self.label_13.setStyleSheet(new_font)
+        self.label_15.setStyleSheet(new_font)
 
     def initModel(self):
Index: src/sas/qtgui/Perspectives/Invariant/InvariantDetails.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantDetails.py	(revision 83eb5208b8acb86b064162274de583670f72da47)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantDetails.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -59,5 +59,10 @@
         self.progressBar.setValue(progress_low_qstar)
         self.progressBar_2.setValue(progress_qstar)           
-        self.progressBar_3.setValue(progress_high_qstar)           
+        self.progressBar_3.setValue(progress_high_qstar)
+
+        new_font = 'font-family: -apple-system, "Helvetica Neue", "Ubuntu";'
+        self.label_3.setStyleSheet(new_font)
+        self.label_4.setStyleSheet(new_font)
+        self.label_.setStyleSheet(new_font)
 
         self.show()
Index: src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision ee18d3342afd576de16503265ff92e34821fca74)
+++ src/sas/qtgui/Perspectives/Invariant/InvariantPerspective.py	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -106,4 +106,9 @@
         # Set up the mapper
         self.setupMapper()
+
+        new_font = 'font-family: -apple-system, "Helvetica Neue", "Ubuntu";'
+        self.label_2.setStyleSheet(new_font)
+        self.label_24.setStyleSheet(new_font)
+        self.label_27.setStyleSheet(new_font)
 
     def setClosable(self, value=True):
Index: src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui
===================================================================
--- src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision f721030e66e61dc6279aa8e024da03b25f8e0d42)
+++ src/sas/qtgui/Perspectives/Invariant/UI/InvariantDetailsUI.ui	(revision 457d961a927e24e28718d1c1813be6b69130b5c1)
@@ -95,5 +95,6 @@
        <widget class="QLabel" name="label_3">
         <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*A&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -122,5 +123,6 @@
        <widget class="QLabel" name="label_4">
         <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*A&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>
@@ -149,5 +151,6 @@
        <widget class="QLabel" name="label_7">
         <property name="text">
-         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*A&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
+         <string>&lt;html&gt;&lt;head/&gt;&lt;body&gt;&lt;p&gt;[1/(cm*Ã
+&lt;span style=&quot; vertical-align:super;&quot;&gt;3&lt;/span&gt;)]&lt;/p&gt;&lt;/body&gt;&lt;/html&gt;</string>
         </property>
        </widget>